Bug 89619 - automake 1.5 generates invalid Makefile.in
automake 1.5 generates invalid Makefile.in
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: automake15 (Show other bugs)
9
All Linux
medium Severity high
: ---
: ---
Assigned To: Jens Petersen
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-24 22:03 EDT by hjl
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-25 03:10:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A testcase (639 bytes, application/octet-stream)
2003-04-24 22:04 EDT, hjl
no flags Details
A patch (856 bytes, patch)
2003-04-24 22:40 EDT, hjl
no flags Details | Diff

  None (edit)
Description hjl 2003-04-24 22:03:00 EDT
I have to use automake 1.5. But it generates invalid Makefile.in.
Comment 1 hjl 2003-04-24 22:04:48 EDT
Created attachment 91289 [details]
A testcase

I got

# make
cd pkg; \
aclocal; \
automake-1.5 --cygnus Makefile --add-missing --copy; \
autoconf; \
./configure
automake-1.5: configure.in: installing `./install-sh'
automake-1.5: configure.in: installing `./mkinstalldirs'
automake-1.5: configure.in: installing `./missing'
automake-1.5: configure.in: installing `./config.guess'
automake-1.5: configure.in: installing `./config.sub'
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether to enable maintainer-specific portions of Makefiles... no
configure: creating ./config.status
config.status: creating Makefile
make -C pkg 'WINDRES=$(WINDRES_FOR_TARGET)'
make[1]: Entering directory `/export/home/hjl/bugs/automake/1/pkg'
/bin/sh: -c: line 1: syntax error near unexpected token `('
/bin/sh: -c: line 1: `set fnord w -- WINDRES=$$(WINDRES_FOR_TARGET); amf=$2; 
dot_seen=no;  target=`echo all-recursive | sed s/-recursive//`;  list='lib';
for subdir in $list; do  echo "Making $target in $subdir";  if test "$subdir" =
"."; then  dot_seen=yes;  local_target="$target-am";  else 
local_target="$target";  fi;  (cd $subdir && make  $local_target)  || case
"$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac;  done;  if test
"$dot_seen" = "no"; then  make	"$target-am" || exit 1;  fi; test -z "$fail"'
make[1]: *** [all-recursive] Error 2
make[1]: Leaving directory `/export/home/hjl/bugs/automake/1/pkg'
make: *** [all] Error 2
Comment 2 Jens Petersen 2003-04-24 22:38:56 EDT
(Btw please use "aclocal-1.5" with automake-1.5.)

I have never seen this syntax before:

  make 'WINDRES=$(WINDRES_FOR_TARGET)'

Is it different from

  make WINDRES=$(WINDRES_FOR_TARGET)

?
Comment 3 hjl 2003-04-24 22:40:38 EDT
Created attachment 91290 [details]
A patch

This patch seems to work for me.
Comment 4 hjl 2003-04-24 22:46:01 EDT
It is 'WINDRES=$$(WINDRES_FOR_TARGET)', there are 2 '$'s,
which will be expanded in the subdirectory.

BTW, the patch came from automake 1.6.
Comment 5 Jens Petersen 2003-04-25 03:10:13 EDT
Thanks for the report.
Your patch should be in automake15-1.5-8.

Note You need to log in before you can comment on or make changes to this bug.